MPE_Draw_line(4)

NAME
MPE_Draw_line - Draws a line on an X11 display

SYNOPSIS
#include "mpe.h"
int MPE_Draw_line( handle, x1, y1, x2, y2, color )
MPE_XGraph handle;
int        x1, y1, x2, y2;
MPE_Color  color;

INPUT PARAMETERS
handle
    - MPE graphics handle
x1,y1
    - pixel position of one end of the line to draw. Coordinates are upper-left origin (standard X11)
x2,y2
    - pixel position of the other end of the line to draw. Coordinates are upper-left origin (standard X11)
color
    - Color index value. See MPE_MakeColorArray . By default, the colors MPE_WHITE , MPE_BLACK , MPE_RED , MPE_YELLOW , MPE_GREEN , MPE_CYAN , MPE_BLUE , MPE_MAGENTA , MPE_AQUAMARINE , MPE_FORESTGREEN , MPE_ORANGE , MPE_VIOLET , MPE_BROWN , MPE_PINK , MPE_CORAL and MPE_GRAY are defined.

LOCATION
mpe_graphics.c